PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
crm_master <command> [<options>]

DESCRIPTION
crm_master - Query, update, or delete a resource's promotion score

This program should normally be invoked only from inside an OCF resource agent.

  Common options:

--help
    Display this text, then exit

--version
    Display version information, then exit

-V, --verbose
    Specify multiple times to increase debug output

-q, --quiet
    Print only the value (if querying)

  Commands:

-G, --query
    Query the current value of the promotion score

-v, --update=VALUE
    Update the value of the promotion score

-D, --delete
    Delete the promotion score

  Additional Options:

-r, --resource=RSC
    ID of resource to act on

-N, --node=NODE
    Use promotion score on named node (instead of local node)

-l, --lifetime=VALUE
    Until when should the setting take effect (valid values: reboot, forever)

-i, --id=VALUE
    (Advanced) XML ID used to identify promotion score attribute

AUTHOR
Written by Andrew Beekhof